summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Schwyn (svoop) <gentoo@bitcetera.com>2008-12-12 13:03:55 +0000
committerSven Schwyn (svoop) <gentoo@bitcetera.com>2008-12-12 13:03:55 +0000
commit5d4f300bb25538e66804a675d3edd58838714a02 (patch)
tree354a8badb71f7f4bc45e298779245f46b165e745 /app-misc/heyu/files/2.4.0/heyu.init
parentkde-misc/autostart: New ebuild for bug #249031 (diff)
downloadsunrise-5d4f300bb25538e66804a675d3edd58838714a02.tar.gz
sunrise-5d4f300bb25538e66804a675d3edd58838714a02.tar.bz2
sunrise-5d4f300bb25538e66804a675d3edd58838714a02.zip
app-misc/heyu: Version bump for bug 91396
svn path=/sunrise/; revision=7486
Diffstat (limited to 'app-misc/heyu/files/2.4.0/heyu.init')
-rw-r--r--app-misc/heyu/files/2.4.0/heyu.init24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-misc/heyu/files/2.4.0/heyu.init b/app-misc/heyu/files/2.4.0/heyu.init
new file mode 100644
index 000000000..e8ff76e0d
--- /dev/null
+++ b/app-misc/heyu/files/2.4.0/heyu.init
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+ ebegin "Starting heyu"
+ mkdir /var/tmp/heyu 2>/dev/null
+ chmod a=rwx /var/tmp/heyu
+ /usr/bin/heyu start >/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping heyu"
+ /usr/bin/heyu stop
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 5
+ svc_start
+}